JsDoc Reference - P11CVCertificateStore

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class P11CVCertificateStore

CV certificate store with PKCS#11 as secure key store
Defined in: P11CVCertificateStore.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| P11CVCertificateStore(daof, p11session) Create a CV certificate store using a PKCS#11 device as secure key store

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | P11CVCertificateStore.determineCurve(key) Determine curve from key parameter
| generateKeyPair(path, chr, algo, prk, puk) Generate key pair
| getCrypto() Get crypto object
| getPrivateKey(path, chr) Get a private key in the certificate store.
<static> | P11CVCertificateStore.path2label(path, chr) Transform path and certificate holder into a label

Class Detail
P11CVCertificateStore(daof, p11session)
Create a CV certificate store using a PKCS#11 device as secure key store

Parameters:
{DAOFactory} daof
  the factory that can create data access objects for persistent information
{PKCS11Session} p11session
  logged in PKCS#11 session with device

Method Detail
<static> {ByteString} P11CVCertificateStore.determineCurve(key)
Determine curve from key parameter

Parameters:
{Key} key
  the key

Returns:
  the curve OID

generateKeyPair(path, chr, algo, prk, puk)
Generate key pair

Parameters:
{String} path
  the relative path of the PKI element (e.g. "/UTCVCA1/UTDVCA1/UTTERM")
{PublicKeyReference} chr
  the public key reference for this key pair
{Number} algo
  the key generation algorithm (Crypto.EC or Crypto.RSA)
{Key} prk
  the private key template
{Key} puk
  the public key template

{HSMCrypto} getCrypto()
Get crypto object

Returns:
  the HSMCrypto object

{Key} getPrivateKey(path, chr)
Get a private key in the certificate store. Overrides method in CVCertificateStore.

Parameters:
{String} path
  the relative path of the PKI element (e.g. "/UTCVCA1/UTDVCA1/UTTERM")
{PublicKeyReference} chr
  the public key reference for this key

Returns:
  the private key or null if not found

<static> {String} P11CVCertificateStore.path2label(path, chr)
Transform path and certificate holder into a label

Parameters:
{String} path
  the path
{PublicKeyReference} chr
  the certificate holder reference

Returns:
  the key label

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)